curl --request GET \
--url https://api.cadanapay.com/v1/contract-templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"createdTimestamp": 1702002274,
"lastUpdatedTimestamp": 1702002274,
"personType": "employee",
"type": "regular",
"country": "US",
"name": "Standard Employee Agreement",
"templateString": "<string>",
"templateVariables": [
{
"name": "firstName",
"label": "First Name",
"ref": "person.firstName",
"type": "string",
"description": "This is the employee's first name",
"isRequired": true
}
],
"tenantKey": "abc123"
}
]
}Fetch all contract tempaltes
curl --request GET \
--url https://api.cadanapay.com/v1/contract-templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"createdTimestamp": 1702002274,
"lastUpdatedTimestamp": 1702002274,
"personType": "employee",
"type": "regular",
"country": "US",
"name": "Standard Employee Agreement",
"templateString": "<string>",
"templateVariables": [
{
"name": "firstName",
"label": "First Name",
"ref": "person.firstName",
"type": "string",
"description": "This is the employee's first name",
"isRequired": true
}
],
"tenantKey": "abc123"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
get contract templates response
Show child attributes